Skip to main content
DELETE
/
resource_reports
/
{resource_report_token}
Delete resource report
curl --request DELETE \
  --url https://api.vantage.sh/v2/resource_reports/{resource_report_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "title": "Acme123 Active Resources",
  "filter": "<string>",
  "created_at": "2024-03-19T00:00:00Z",
  "workspace_token": "<string>",
  "user_token": "<string>",
  "created_by_token": "<string>",
  "columns": [
    ""
  ],
  "folder_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

resource_report_token
string
required

Response

ResourceReport model

token
string
required
title
string
required

The title of the ResourceReport.

Example:

"Acme123 Active Resources"

filter
string | null
required

The filter applied to the ResourceReport. Additional documentation available at https://docs.vantage.sh/vql.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the ResourceReport is a part of.

user_token
string | null
required

The token for the User who created this ResourceReport.

created_by_token
string | null
required

The token for the User or Team who created this ResourceReport.

columns
string[]
required

Array of column names configured for the ResourceReport table display.

folder_token
string | null

The token for the Folder the ResourceReport is a part of.